#include <stdio.h>
#include <stdlib.h>
#include <msdos.cf>
#include <ysuty2.h>
#include <egb.h>

char egb[EgbWorkSize];

char *pat;




putMono(char *dat,int x1,int y1,int x2,int y2)
{
	int x,y;
	int i,j,p;

	i=0;
	for(y=y1; y<(y2+1); y++)
	{
		for(x=x1; x<(x2+1)-8; x+=8)
		{
			p=dat[i++];
			for(j=x; j<x+8; j++)
			{
				if(p&128)YGB_pset(egb,j,y);
				p*=2;
			}
		}
		if(j<x2)
		{
			p=dat[i++];
			for(j=j; j<(x2+1); j++)
			{
				if(p&128)YGB_pset(egb,j,y);
				p*=2;
			}
		}
	}
}

main()
{
	FILE *fp;
	int len;
	char *dat;

	fp=fopen("test2.mon","rb");
	len=YSC_fsize(fp);
	pat=(char *)malloc(len);
	fread(pat,1,len,fp);
	fclose(fp);

	YGB_init(egb,5,5);
	YGB_writeMode(egb,MATTE);
	dat=pat;
	putMono(dat,0,0,63,31);
	dat=dat+64*32/8;
	putMono(dat,0,32,63,63);
}
